from ui.editor import Editor


class Resistance_Step_Editor(Editor):
    def __init__(self, cell_widget=None):
        super().__init__(cell_widget=cell_widget)
        self.spec.update({
            "scale": self.scale_dsb,
            "expected": self.expected_dsb,
            "tolerance": self.tolerance_dsb,
        })
